:host,
.ahi-theme-dark {
  color-scheme: dark;

  --ahi-color-gray-50: rgb(36, 36, 40);
  --ahi-color-gray-100: rgb(44, 44, 49);
  --ahi-color-gray-200: rgb(54, 54, 59);
  --ahi-color-gray-300: rgb(67, 67, 74);
  --ahi-color-gray-400: rgb(86, 86, 95);
  --ahi-color-gray-500: rgb(108, 108, 116);
  --ahi-color-gray-600: rgb(142, 142, 154);
  --ahi-color-gray-700: rgb(182, 182, 190);
  --ahi-color-gray-800: rgb(211, 211, 217);
  --ahi-color-gray-900: rgb(232, 232, 236);

  --ahi-color-green-50: rgb(240, 253, 248);
  --ahi-color-green-100: rgb(224, 248, 238);
  --ahi-color-green-200: rgb(192, 242, 221);
  --ahi-color-green-300: rgb(161, 237, 208);
  --ahi-color-green-400: rgb(80, 220, 169);
  --ahi-color-green-500: rgb(35, 196, 140);
  --ahi-color-green-600: rgb(22, 166, 121);
  --ahi-color-green-700: rgb(0, 122, 92);
  --ahi-color-green-800: rgb(18, 84, 67);
  --ahi-color-green-900: rgb(12, 59, 47);

  --ahi-color-teal-50: rgb(238, 250, 251);
  --ahi-color-teal-100: rgb(222, 245, 247);
  --ahi-color-teal-200: rgb(184, 233, 239);
  --ahi-color-teal-300: rgb(147, 222, 231);
  --ahi-color-teal-400: rgb(109, 211, 222);
  --ahi-color-teal-500: rgb(59, 195, 211);
  --ahi-color-teal-600: rgb(42, 172, 187);
  --ahi-color-teal-700: rgb(32, 130, 141);
  --ahi-color-teal-800: rgb(23, 92, 100);
  --ahi-color-teal-900: rgb(16, 65, 71);

  --ahi-color-blue-50: rgb(240, 245, 253);
  --ahi-color-blue-100: rgb(232, 240, 253);
  --ahi-color-blue-200: rgb(187, 212, 247);
  --ahi-color-blue-300: rgb(147, 186, 241);
  --ahi-color-blue-400: rgb(102, 153, 225);
  --ahi-color-blue-500: rgb(62, 125, 213);
  --ahi-color-blue-600: rgb(36, 99, 188);
  --ahi-color-blue-700: rgb(20, 73, 149);
  --ahi-color-blue-800: rgb(14, 53, 108);
  --ahi-color-blue-900: rgb(16, 41, 76);

  --ahi-color-purple-50: rgb(242, 237, 253);
  --ahi-color-purple-100: rgb(236, 227, 253);
  --ahi-color-purple-200: rgb(226, 214, 250);
  --ahi-color-purple-300: rgb(203, 180, 248);
  --ahi-color-purple-400: rgb(173, 139, 241);
  --ahi-color-purple-500: rgb(121, 69, 227);
  --ahi-color-purple-600: rgb(90, 36, 205);
  --ahi-color-purple-700: rgb(67, 21, 158);
  --ahi-color-purple-800: rgb(49, 13, 120);
  --ahi-color-purple-900: rgb(36, 8, 73);

  --ahi-color-red-50: rgb(254, 243, 241);
  --ahi-color-red-100: rgb(253, 226, 221);
  --ahi-color-red-200: rgb(251, 197, 188);
  --ahi-color-red-300: rgb(247, 148, 130);
  --ahi-color-red-400: rgb(245, 107, 82);
  --ahi-color-red-500: rgb(242, 65, 34);
  --ahi-color-red-600: rgb(197, 40, 12);
  --ahi-color-red-700: rgb(159, 32, 10);
  --ahi-color-red-800: rgb(115, 24, 7);
  --ahi-color-red-900: rgb(67, 14, 4);

  --ahi-color-orange-50: rgb(254, 243, 236);
  --ahi-color-orange-100: rgb(253, 231, 217);
  --ahi-color-orange-200: rgb(250, 201, 168);
  --ahi-color-orange-300: rgb(247, 177, 130);
  --ahi-color-orange-400: rgb(245, 147, 82);
  --ahi-color-orange-500: rgb(242, 117, 34);
  --ahi-color-orange-600: rgb(216, 101, 13);
  --ahi-color-orange-700: rgb(164, 76, 10);
  --ahi-color-orange-800: rgb(111, 52, 7);
  --ahi-color-orange-900: rgb(77, 36, 5);

  --ahi-color-yellow-50: rgb(254, 248, 236);
  --ahi-color-yellow-100: rgb(252, 240, 212);
  --ahi-color-yellow-200: rgb(250, 229, 178);
  --ahi-color-yellow-300: rgb(248, 217, 144);
  --ahi-color-yellow-400: rgb(245, 196, 82);
  --ahi-color-yellow-500: rgb(242, 179, 34);
  --ahi-color-yellow-600: rgb(216, 155, 13);
  --ahi-color-yellow-700: rgb(183, 126, 11);
  --ahi-color-yellow-800: rgb(135, 92, 8);
  --ahi-color-yellow-900: rgb(77, 46, 5);

  --ahi-background: #0b0c0d;
  --ahi-background-hovered: #0b0c0d;
  --ahi-background-depressed: #0b0c0d;
  --ahi-background-selected: #0b0c0d;
  --ahi-surface: #202123;
  --ahi-surface-neutral: #313335;
  --ahi-surface-neutral-hovered: #313335;
  --ahi-surface-neutral-depressed: #313335;
  --ahi-surface-neutral-disabled: #313335;
  --ahi-surface-neutral-subdued: #44474a;
  --ahi-surface-subdued: #1a1c1d;
  --ahi-surface-disabled: #1a1c1d;
  --ahi-surface-hovered: #2f3133;
  --ahi-surface-depressed: #3e4043;
  --ahi-surface-search-field: #2f3133;
  --ahi-backdrop: #00000080;
  --ahi-overlay: #21212180;
  --ahi-border: #505356;
  --ahi-border-neutral-subdued: #82878b;
  --ahi-border-hovered: #505356;
  --ahi-border-disabled: #676b6f;
  --ahi-border-subdued: #82878b;
  --ahi-border-depressed: #8e9191;
  --ahi-border-shadow: #5b5f62;
  --ahi-border-shadow-subdued: #82878b;
  --ahi-divider: #454749;
  --ahi-icon: #a6acb2;
  --ahi-icon-hovered: #e1e3e5;
  --ahi-icon-depressed: #a6acb2;
  --ahi-icon-disabled: #54575a;
  --ahi-icon-subdued: #787d81;
  --ahi-text: #e3e5e7;
  --ahi-text-disabled: #6f7377;
  --ahi-text-subdued: #999fa4;
  --ahi-interactive: #00b383;
  --ahi-interactive-disabled: #1a564c;
  --ahi-interactive-hovered: #00cc96;
  --ahi-interactive-depressed: #00e6a8;
  --ahi-focused: #1a564c;
  --ahi-surface-selected: #022217;
  --ahi-surface-selected-hovered: #073b2a;
  --ahi-surface-selected-depressed: #0d543c;
  --ahi-icon-on-interactive: #202123;
  --ahi-text-on-interactive: #202123;
  --ahi-action-secondary: #4d5053;
  --ahi-action-secondary-disabled: #202223;
  --ahi-action-secondary-hovered: #54575b;
  --ahi-action-secondary-depressed: #7b7f84;
  --ahi-action-primary: #0077c0;
  --ahi-action-primary-disabled: #004570;
  --ahi-action-primary-hovered: #0084d6;
  --ahi-action-primary-depressed: #0097f5;
  --ahi-icon-on-primary: #e6fff4;
  --ahi-text-on-primary: #fff;
  --ahi-text-primary: #008ee6;
  --ahi-text-primary-hovered: #009dff;
  --ahi-text-primary-depressed: #1aa7ff;
  --ahi-surface-primary-selected: #0c1012;
  --ahi-surface-primary-selected-hovered: #272c2f;
  --ahi-surface-primary-selected-depressed: #363c3f;
  --ahi-border-critical: #e32f0e;
  --ahi-border-critical-subdued: #e32f0e;
  --ahi-border-critical-disabled: #831704;
  --ahi-icon-critical: #da2c0d;
  --ahi-surface-critical: #450701;
  --ahi-surface-critical-subdued: #450701;
  --ahi-surface-critical-subdued-hovered: #441714;
  --ahi-surface-critical-subdued-depressed: #871805;
  --ahi-text-critical: #e9807a;
  --ahi-action-critical: #cd290c;
  --ahi-action-critical-disabled: #791806;
  --ahi-action-critical-hovered: #e32f0e;
  --ahi-action-critical-depressed: #fd5749;
  --ahi-icon-on-critical: #fff8f7;
  --ahi-text-on-critical: #fff;
  --ahi-interactive-critical: #fd726a;
  --ahi-interactive-critical-disabled: #feaca8;
  --ahi-interactive-critical-hovered: #fd8a84;
  --ahi-interactive-critical-depressed: #fd9f9b;
  --ahi-border-warning: #997000;
  --ahi-border-warning-subdued: #997000;
  --ahi-icon-warning: #684b00;
  --ahi-surface-warning: #81620e;
  --ahi-surface-warning-subdued: #4d3b1d;
  --ahi-surface-warning-subdued-hovered: #523f20;
  --ahi-surface-warning-subdued-depressed: #574322;
  --ahi-text-warning: #fde99a;
  --ahi-border-highlight: #449da7;
  --ahi-border-highlight-subdued: #449da7;
  --ahi-icon-highlight: #2c6c73;
  --ahi-surface-highlight: #006971;
  --ahi-surface-highlight-subdued: #123539;
  --ahi-surface-highlight-subdued-hovered: #143a3e;
  --ahi-surface-highlight-subdued-depressed: #184146;
  --ahi-text-highlight: #a2effa;
  --ahi-border-success: #008766;
  --ahi-border-success-subdued: #008766;
  --ahi-icon-success: #005e46;
  --ahi-surface-success: #005e46;
  --ahi-surface-success-subdued: #1c352c;
  --ahi-surface-success-subdued-hovered: #1f3a30;
  --ahi-surface-success-subdued-depressed: #234136;
  --ahi-text-success: #a0e8cc;
  --ahi-icon-attention: #8a6116;
  --ahi-surface-attention: #736626;
  --ahi-text-attention: #fcedb8;
  --ahi-color-text-on-accent-secondary: #fff;
  --ahi-color-navigation-text: var(--ahi-text);
  --ahi-color-navigation-heading-text: var(--ahi-text-subdued);
  --ahi-color-navigation-hover: var(--ahi-surface-hovered);
  --ahi-color-navigation-hover-text: var(--ahi-text);
  --ahi-color-badge-notification: var(--ahi-action-critical);
  --ahi-color-text-on-badge-notification: #fff;

  --ahi-border-radius-sharp: 0.125rem;
  --ahi-border-radius-small: 0.25rem;
  --ahi-border-radius-medium: 0.5rem;
  --ahi-border-radius-pill: 9999px;
  --ahi-border-radius-circle: 50%;

  --ahi-font-family-mono:
    ui-monospace, SFMono-Regular, "SF Mono", Consolas, "Liberation Mono", Menlo,
    monospace;
  --ahi-font-family-sans:
    -apple-system, BlinkMacSystemFont, "San Francisco", "Segoe UI", Roboto,
    "Helvetica Neue", sans-serif;

  --ahi-font-weight-regular: 450;
  --ahi-font-weight-medium: 550;
  --ahi-font-weight-semibold: 650;
  --ahi-font-weight-bold: 700;

  --ahi-line-height-300: 12px;
  --ahi-line-height-400: 16px;
  --ahi-line-height-500: 20px;
  --ahi-line-height-600: 24px;
  --ahi-line-height-700: 28px;
  --ahi-line-height-800: 32px;
  --ahi-line-height-1000: 40px;
  --ahi-line-height-1200: 48px;

  --ahi-letter-spacing-densest: -0.54px;
  --ahi-letter-spacing-denser: -0.3px;
  --ahi-letter-spacing-dense: -0.2px;
  --ahi-letter-spacing-normal: 0px;

  --ahi-font-size-275: 11px;
  --ahi-font-size-300: 12px;
  --ahi-font-size-325: 13px;
  --ahi-font-size-350: 14px;
  --ahi-font-size-400: 16px;
  --ahi-font-size-450: 18px;
  --ahi-font-size-500: 20px;
  --ahi-font-size-550: 22px;
  --ahi-font-size-600: 24px;
  --ahi-font-size-750: 30px;
  --ahi-font-size-800: 32px;
  --ahi-font-size-900: 36px;
  --ahi-font-size-1000: 40px;

  --ahi-focus-ring-color: var(--ahi-focused);
  --ahi-focus-ring-style: solid;
  --ahi-focus-ring-width: 3px;
  --ahi-focus-ring: var(--ahi-focus-ring-style) var(--ahi-focus-ring-width)
    var(--ahi-focus-ring-color);
  --ahi-focus-ring-offset: 1px;

  --ahi-space-0: 0;
  --ahi-space-025: 0.0625rem;
  --ahi-space-05: 0.125rem;
  --ahi-space-1: 0.25rem;
  --ahi-space-2: 0.5rem;
  --ahi-space-3: 0.75rem;
  --ahi-space-4: 1rem;
  --ahi-space-5: 1.25rem;
  --ahi-space-6: 1.5rem;
  --ahi-space-8: 2rem;
  --ahi-space-10: 2.5rem;
  --ahi-space-12: 3rem;
  --ahi-space-16: 4rem;
  --ahi-space-20: 5rem;
  --ahi-space-24: 6rem;
  --ahi-space-28: 7rem;
  --ahi-space-32: 8rem;
  --ahi-border-width-1: 0.0625rem;
  --ahi-border-width-2: 0.125rem;
  --ahi-border-width-3: 0.1875rem;
  --ahi-border-base: var(--ahi-border-width-1) solid var(--ahi-border);
  --ahi-border-divider: var(--ahi-border-width-1) solid var(--ahi-divider);
  --ahi-transition-x-slow: 1000ms;
  --ahi-transition-slow: 500ms;
  --ahi-transition-medium: 250ms;
  --ahi-transition-fast: 150ms;
  --ahi-transition-x-fast: 50ms;
  --ahi-linear: cubic-bezier(0, 0, 1, 1);
  --ahi-ease: cubic-bezier(0.25, 0.1, 0.25, 1);
  --ahi-ease-in: cubic-bezier(0.42, 0, 1, 1);
  --ahi-ease-out: cubic-bezier(0, 0, 0.58, 1);
  --ahi-ease-in-out: cubic-bezier(0.42, 0, 0.58, 1);
  --ahi-shadow-transparent: 0 0 0 0 transparent;
  --ahi-shadow-faint: 0 0.0625rem 0 0 rgba(22, 29, 37, 0.05);
  --ahi-shadow-base:
    0 0 0 0.0625rem rgba(63, 63, 68, 0.05),
    0 0.0625rem 0.1875rem 0 rgba(63, 63, 68, 0.15);
  --ahi-shadow-deep:
    0 0 0 0.0625rem rgba(6, 44, 82, 0.1), 0 0.125rem 1rem rgba(33, 43, 54, 0.08);
  --ahi-shadow-button: 0 0.0625rem 0 rgba(0, 0, 0, 0.05);
  --ahi-shadow-top-bar: 0 0.125rem 0.125rem -0.0625rem rgba(0, 0, 0, 0.15);
  --ahi-shadow-card:
    0 0 0.3125rem rgba(23, 24, 24, 0.05),
    0 0.0625rem 0.125rem rgba(0, 0, 0, 0.15);
  --ahi-shadow-popover:
    0 0.1875rem 0.375rem -0.1875rem rgba(23, 24, 24, 0.08),
    0 0.5rem 1.25rem -0.25rem rgba(23, 24, 24, 0.12);
  --ahi-shadow-layer:
    0 1.9375rem 2.5625rem 0 rgba(32, 42, 53, 0.2),
    0 0.125rem 1rem 0 rgba(32, 42, 54, 0.08);
  --ahi-shadow-modal:
    0 1.625rem 5rem rgba(0, 0, 0, 0.2), 0 0 0.0625rem rgba(0, 0, 0, 0.2);
  --ahi-z-index-sticky: 300;
  --ahi-z-index-nav: 400;
  --ahi-z-index-top-bar: 500;
  --ahi-z-index-overlay: 600;
  --ahi-z-index-dialog: 800;
  --ahi-z-index-dropdown: 900;
  --ahi-z-index-alert: 950;
  --ahi-z-index-tooltip: 1000;
  --ahi-input-required-content: "*";
  --ahi-input-required-content-offset: -2px;
  --ahi-input-required-content-color: var(--ahi-text-critical);
  --ahi-tooltip-color: #202223;
  --ahi-tooltip-background-color: #fff;
  --ahi-tooltip-arrow-size: 6px;
  --ahi-tooltip-padding: var(--ahi-space-1) var(--ahi-space-2);
  --ahi-tooltip-line-height: var(--ahi-line-height-600);
  --ahi-tooltip-font-weight: var(--ahi-font-weight-regular);
  --ahi-tooltip-font-size: var(--ahi-font-size-350);
  --ahi-tooltip-font-family: var(--ahi-font-family-sans);
  --ahi-tooltip-border-radius: var(--ahi-border-radius-small);
  --ahi-icon-size-minor: 16px;
  --ahi-icon-size-major: 20px;
  --ahi-icon-size-spot: 60px;
}

@supports (scrollbar-gutter: stable) {
  .ahi-scroll-lock {
    scrollbar-gutter: var(--ahi-scroll-lock-gutter) !important;
  }

  .ahi-scroll-lock body {
    overflow: hidden !important;
  }
}

@supports not (scrollbar-gutter: stable) {
  .ahi-scroll-lock body {
    padding-right: var(--ahi-scroll-lock-size) !important;
    overflow: hidden !important;
  }
}

.ahi-toast-stack {
  position: fixed;
  top: 0;
  inset-inline-end: 0;
  z-index: var(--ahi-z-index-alert);
  width: 28rem;
  max-width: 100%;
  max-height: 100%;
  overflow: auto;
}

.ahi-toast-stack ahi-banner {
  margin: var(--ahi-space-4);
}

.ahi-toast-stack ahi-banner::part(base) {
  box-shadow: var(--ahi-shadow-popover);
}
